Page({
  data: {
    statusBarHeight: 44
  },
  // 返回信息登记页面
  navigateBack(){
    wx.navigateBack({
      delta: 1
    })
  },
  onLoad(){
    // 获取设备的信息  
    let systemInfo = wx.getSystemInfoSync();
    // 获取信号区高度, 并设置标题高度
    let statusBarHeight = systemInfo['statusBarHeight']
    if (systemInfo.platform === 'andorid' ) {
      statusBarHeight = statusBarHeight+1;
    }else if (systemInfo.platform === 'ios') {
      statusBarHeight = statusBarHeight+6;
    }else{
      statusBarHeight = statusBarHeight;
    }
    this.setData({
      statusBarHeight
    });
    wx.getSetting({
      success(res) {
        // 校验用户是否已经授权
        if (res.authSetting['scope.userInfo']) {
          // 必须是在用户已经授权的情况下调用
          wx.getUserInfo({
            success: function (res) {
              console.log(res)
            }
          })
        }else{
          // 如果未授权则关闭所有页面，跳转至授权登录页
          wx.reLaunch({
            url: '/pages/authorization/authorization'
          })
        }
      }
    });
  },
  // 跳转至答题完成页面
  getUserProfile() {
    // 提交问卷成功，跳转至答题完成页面
    wx.reLaunch({
      url: '/pages/answercomplete/answercomplete'
    })
  },
  // 分享朋友
  onShareAppMessage: (res) => {
    return {
      title: '业主思维',
      path: '/pages/basicInformation/basicInformation',
      imageUrl: "http://8.140.133.55:8096/public/uploadfile/logo.png",
      success: (res) => {
        console.log("转发成功", res);
      },
      fail: (res) => {
        console.log("转发失败", res);
      }
    }
  },
  // 分享朋友圈
  onShareTimeline: (res) => {
    return {
      title: '业主思维',
      path: '/pages/basicInformation/basicInformation',
      imageUrl: "http://8.140.133.55:8096/public/uploadfile/logo.png",
      success: (res) => {
        console.log("转发成功", res);
      },
      fail: (res) => {
        console.log("转发失败", res);
      }
    }
  },
})